QGIS Application - Bug report #4433
Edit vertex tool very slow
2011-10-24 03:56 AM - Marica Landini bulma

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 14365
Description

Dear developers,

we noticed that the tool for the vertex edit since the version 1.5 is very slow.

When we try to edit features (polygons in our case) having a big number of vertices, during an editing session, just clicking with the node
tool on a vertex (node) of a selected polygon we have to wait a lot of seconds (proportionally to the number of vertices) before to see the
vertices selected in red square.

In the 1.4 version this operation was immediate.

After these selection of vertices the use of the tool (moving a vertex) it is also very slow.

We loaded on http://geo.regione.emilia-romagna.it/gstatico/documenti/qgis/test_node_edit_qgis.zip an example shapefile that we used
for these tests.

You can try with the Ferrara Province polygon, although we tried also with others shapefiles and differents polygons.
OS: Win XP, Ubuntu 10.10
qGis versions: since 1.5, till 1.7.1 (with the 1.4 there is no problem)

Related issues:
Duplicates QGIS Application - Bug report # 4523: QGIS hangs when selecting a ... Closed 2011-11-13

History

#1 - 2011-10-24 08:23 AM - Paolo Cavallini

Also on Debian, and Windows 7 and Vista, apparently

#2 - 2011-10-26 07:44 AM - Giovanni Manghi

- Category set to Digitising

- Priority changed from Normal to High
- Target version set to Version 1.8.0

This is easily confirmed and the reason seems to be something related to the (pseudo)topological editing features. Interesting enough QGIS still very slow
(basically unusable) when editing large/complex geometries even if the topological editing parameters are not enabled.

#3 - 2011-12-20 05:29 AM - Ben Madin

Paolo Cavallini wrote:

Also on Debian, and Windows 7 and Vista, apparently
http://geo.regione.emilia-romagna.it/gstatico/documenti/qgis/test_node_edit_qgis.zip

Also on Mac OS X 10.6 using QGIS 1.7.3 (from William Kyngesbury)

#4 - 2011-12-20 05:44 AM - Ben Madin

Sorry, | hit submit instead of preview, but | wanted to add that "(basically unusable)" is most definitely an understatement - but to put some sense of
perspective on it, it seems that at about 27000 points in the geometry you can just manage, but a bigger multipolygon (I seem to be dealing with places like
the Philippines and Chile a lot at the moment!) often have hundreds of thousands of points, and the whole programme ends up using 1 GB of RAM, 100%

of CPU and 10 minutes later hasn't progressed.

| can remember editing these for a project some years ago, so | was just wondering if there is any way to roll back the pseudo-topological editing features
for now (they are good, but | need to get rid of some errors).

cheers

Ben

#5 - 2012-01-26 03:08 AM - Paolo Cavallini

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

Seems fixed now - please test on master.

#6 - 2012-01-26 03:25 AM - Giovanni Manghi
- Status changed from Open to Feedback

#7 - 2012-01-28 02:40 PM - Giovanni Manghi

- Resolution set to fixed
- Status changed from Feedback to Closed

This is issue is (thanks to Jurgen work) gone, and actually the performances when editing geometries with a lot of nodes (tens of thousands nodes) is now

even more efficient of any other GIS software | had testes, both OS and proprietary.
